import { INetResponse } from "./INetResponse";

export interface INetRequest<TRequest, TResponse> {
    readonly Method: string;
    readonly MethodBack: string;

    Data: TRequest;
    Result: INetResponse<TResponse>;

    SendAsync(): Promise<Iterator<any>>;
    Send();
}