import { NetRequest } from "../NetRequest";

// 送給server的結構
interface Request {
    pay: number;
}

// server回應的結構
interface Response {
    pay: [[number, number]];
    /**拉霸結果 */
    slot: number[];
    get: any[];
}

// class Account_CreateRequest extends CasinoRequest<number, any> { // 也可以是基本類或any, 但不建議用any, 使用介面ts才會有提示
export class Slot1_SpinRequestExample extends NetRequest<Request, Response> {
    get Method(): string {
        return "slot1.spin";
    }

    // MethodBack預設回傳Method, 不一樣才需要覆寫
    // get MethodBack(): string {
    //     return "slot1.freespin";
    // }

    constructor(totalBet: number) {
        super();

        // 原本的SingleValue拿掉, 統一使用Data來存送出結構

        // this.Data = 2;
        this.Data = {
            pay: totalBet,
        };
    }
}